# Goal of association rule metrics

Remember that our goal is here to find associations rules having the form : **X => Y** .

The rule **{Bacon} => {Chicken}** just means **“If people buy bacon, they will also buy chicken”**, but it is nothing more than a raw relationship between an antecedent and a consequet itemset. It doesn't tells us: 
- How frequently that rule will occur in transactions.
- If we can trust it.
- If we would have an advantage to use it as is. 
- The strength of the relationship between its itemsets.

Here come the rule metrics. They helps to analyze deeper the specificities of rules between itemsets.

The Market Basket Analysis solution will let you play with 4 rules metrics:
- [Rule support](article:25).
- [Rule confidence](article:26).
- [Rule lift](article:27).
- [Rule conviction](article:28).
