# Flow zones structure 

Below is the graph of the project's flow zones :

![flow_zones.png](GPa5NpUkfnCS)

Each flow zone is linked to a specific component of your project . 
- The *inputs_zone* has the role to ingest your input data sources ([Learn more about the inputs_zone](article:39)).
- The *transactions_preprocessing_zone* prepares your data so that it can be processed for the association rules computation ([Learn more about the transactions_preprocessing](article:40)).
- The *association_rules_computation* is in charge of building all the association rules datasets ([Learn more about the association_rules_computation](article:41)).
- The *association_rules_filtering* ([Learn more about the association_rules_filtering](article:42)) filters the most relevant rules so that you can consume it:
  - In the project's webapp ([Learn more about the project's webapp](article:6)).
  - In the recommendations for customers ([Learn more  about the recommendation flow zones](article:44)).
- The *webapp_zone* isolates the datasets that are used for the project's webapp ([Learn more about the project's webapp](article:6)) .

Each of the main flow-zones has a dedicated section in the project's dataiku application ([Dataiku application](article:35))