# Flow zone presentation

The *association_rules_filtering* is in charge of filtering the most relevant rules, based on threshold defined by yourself.
It is the backstage of the dataiku application *Association rules filtering* section ([See the corresponding wiki article](article:52)).


![association_rules_filtering.png](5yxgOZPx8Icp)


Based on thresholds set for confidence, lift and conviction ([Learn more about association rule metrics](article:11)): 
- Recipe [compute_valid_association_rules](recipe:compute_valid_association_rules) filters the dataset [association_rules](dataset:association_rules) to build the dataset [valid_association_rules](dataset:valid_association_rules).
- Recipe [compute_valid_rules_denormalized_antecedents](recipe:compute_valid_rules_denormalized_antecedents) filters the dataset [rules_denormalized_antecedents](dataset:rules_denormalized_antecedents) to build the dataset [valid_rules_denormalized_antecedents](dataset:valid_rules_denormalized_antecedents).
- Recipe [compute_valid_rules_denormalized_consequents](recipe:compute_valid_rules_denormalized_consequents) filters the dataset [rules_denormalized_consequents](dataset:rules_denormalized_consequents) to build the dataset [valid_rules_denormalized_consequents](dataset:valid_rules_denormalized_consequents).