# Section presentation

The *Customers recommendations* section lets you define the parameters linked to the data transformation steps linked to the recommendation of items to customers.

![customer_recommendations.png](0bmDKNrZ9ykg)

# Section interactions

## Rules prioritization

![rules_prioritization.png](YWv9KoiGKG9n)

This menu help in settings the metrics prioritization in order to identify which rules are better than others for recommending itemsets/items.

**A bit of context:**
Items are recommended to customers based on the process described in [Flow zones / recommendation](article:44).
This process is done i 2 main phases: 
- 1 : Identification of the best rules leading to consequent **itemsets** that could be recommended to customers.
- 2 : Identification of the best rule leading to each consequent **item** that could be recommended to customers.


## Customer transaction dates filtering settings

![customer_transaction_dates_filtering.png](NYSdb9rlDN9L)

You can here define your own strategy to filter transaction dates taken into account to learn items association rules ([Learn more about those dates filtering strategies](article:62)).



## Customer transactions to keep

![customer_transactions_to_keep.png](hnCltVSn5Ad0)

This parameter can help you to limit the number of transactions you take into account for each customer past purchases.


## Search customer recommendations

![search_customers_recommendations.png](mtkaJy5ex5fE)

Finally, clicking on this button will take into account the parameters you set in order to compute item recommendations for your customers. Datasets built will be those of flow-zones [recommendations_preprocessing](flow_zone:1QYvNls), [cross_sell_recommendations](flow_zone:X2Yv1zo) and [repeat_purchase_recommendations](flow_zone:cSRQcI9).
