# Denormalized antecedents dataset 
 
Remember that a rule materializes the relationship between an antecedent itemset and a consequent itemset. 
An itemset being a set of items, denormalizing the rule antecedents allows to get a data format giving all the antecedent items of a given rule.
 
Dataset [rules_denormalized_antecedents](dataset:rules_denormalized_antecedents) contains the information of the rules present in [association_rules](dataset:association_rules), denormalized based on their antecedent.
 
**Dataset Granularity**:  
- IF you *DON'T CHOOSE TO* compute granular association rules: 1 row = 1 antecedent item of a rule.
- ELSE : In addition, each row gives you the information of the granularity each antecedent and rule belongs to.
 
 
![dataset_rules_denormalized_antecedents.png](ZjOfEp2zZqBH)
 
 
Linked information :
- [What is an item ?](article:20).
- [What is an itemset ?](article:21).
- [What is an association rule ?](article:23)
- [Learn more about association rule metrics](article:11).
 

