# Explanation

In this solution, transactions are preprocessed: 
- For association rules learning.
- For customer recommendations.

Each of these preprocessing steps could require the usage of different dates filtering strategies, as shown below.

![dates_filtering_strategy_example.png](9JmlFwObPOOT)

A classic approach would be to analyze transactions that occurred in a "recent" past time window to learn association rules. Then, based on that rules, we could recommend products to customers depending on their last purchases.

But for items sold from one business period to another it could also be valuable to use transactions from a past period to learn rules for recommendations in the business period to come. 
For example:*assuming christmas is coming, we could imagine looking at last year's transactions to learn association rules that we could apply this year for products recommendations*. 

The **Market Basket Analysis** gives you flexibility to adapt these two dates filtering strategies to your needs.