# Association rule appendix

Interacting with the Market Basket Analysis will require some understanding of its key concepts : 

- [Association rule](article:23) will introduce the theoretical base of the use case by presenting what are association rules.
- You can here see what are [Items](article:20).
- [Transactions](article:22) will let you see what the Market Basket Analysis expects in terms of transactions data format, and what are the information you could use in a transactions table to extend the Market Basket Analysis capabilities. 
- [Transactions encoding](article:19) illustrates how transactions are preprocessed so that we can compute association rules.
- [Itemset](article:21) introduces the concept of "itemsets" in association rule learning.
- [Itemset support](article:24) : qualifying the frequency of an item.
- [Frequent patterns search](article:9) will present you an algorithm idendifying itemsets candidates for association rules.
- Finally, [Association rule metrics](article:11) will explain how to get interpretation from association rules.  