# Definition

The transactions context is related to all other details, unrelated to the items, that can be collected at the time the transaction is completed. It can involve multiple dimensions, among which: 

- Shop's attributes: 
  - The shop's location: its belonging city, region, country ...
  - The shop's category: small shop, supermarket, hypermarket, ...
  - Other shop's attributes.
  
- Customer's attributes: 
  - The customer's provenance : belonging city, region, country ...
  - The customer's age category. 
  - The customer's segment (if you already have a customer segmentation project).
  - Other customer's attributes.
  
 - Business information: 
   - Promotion period.
  
  [Go back to Transactions](article:22)