# Defining your time scope

The solution offers flexibility in the way to filter the time scope of both : 
- The transactions taken into account for the items association rules learning.
- The transactions taken into account in order to recommend items to your customers.

The two transaction date filtering strategies, combined together, will help you to more accurately personalize the value proposition you propose to your customers.


## Seasonality items purchasing patterns
Assume you start a well known business period. Your experience enables you to know that your customers are likely to behave the same way they did in a past similar period...


## New items purchasing patterns 
Assume you now sell a fleet of new items. You don't yet know exactly how that items tend to be purchased together or with your historical items...



--> In the situations presented above, the **Market Basket Analysis** will allow you to learn items association in a targeted business period so that you can better anticipate the purchasing patterns to come and facilitate your decision making.
