# Flow zone presentation

The *association_rules_computation* is in charge of computing the flow association rules datasets.
It is the backstage of the dataiku application *Association rules computation* section ([See the corresponding wiki article](article:51)).


![association_rules_computation.png](cyMbdMQ6b5UH)

The recipe [compute_association_rules](recipe:compute_association_rules) takes as an input the [transactions_preprocessed dataset](dataset:transactions_preprocessed) and generates 5 datasets : 
- [association_rules](dataset:association_rules) ([Get that dataset's presentation](article:54)).
- [distinct_itemsets](dataset:distinct_itemsets) ([Get that dataset's presentation](article:55)).
- [rules_denormalized_antecedents](dataset:rules_denormalized_antecedents) ([Get that dataset's presentation](article:56)).
- [rules_denormalized_consequents](dataset:rules_denormalized_consequents) ([Get that dataset's presentation](article:57)).
- [association_rules_summary](dataset:association_rules_summary) ([Get that dataset's presentation](article:58)).