# Denormalized consequents dataset 
 
Remember that a rule materializes the relationship between an antecedent itemset and a consequent itemset. 
An itemset being a set of items, denormalizing the rule consequents allows to get a data format giving all the consequent items of a given rule.
 
Dataset [rules_denormalized_consequents](dataset:rules_denormalized_consequents) contains the information of the rules present in [association_rules](dataset:association_rules), denormalized based on their consequent.
 
**Dataset Granularity**:  
- IF you *DON'T CHOOSE TO* compute granular association rules: 1 row = 1 consequent item of a rule.
- ELSE : In addition, each row gives you the information of the granularity each consequent and rule belongs to.
 
 
![dataset_rules_denormalized_consequents.png](YwOXWQ8SoId9)
 
 
Linked information :
- [What is an item ?](article:20).
- [What is an itemset ?](article:21).
- [What is an association rule ?](article:23)
- [Learn more about association rule metrics](article:11).
 

