# Section presentation

The *Build specific flow parts* section lets you choose which parts of the flow you would like to build

![build_specific_flow_parts.png](uhzk0QroCy1l)

# Section interactions

## Specific flow parts to build

You can find here a menu allowing you to select one or multiple flow parts you want to build. Add here:

- *1 : Transactions preprocessing*  : if you want to build datasets presents in the flow-zone [transactions_preprocessing](flow_zone:3La1CrK).
- *2 : Association rules computation*  : if you want to build datasets presents in the flow-zone [association_rules_computation](flow_zone:2SNOOIG).
- *3 : Association rules filtering* : if you want to build datasets presents in the flow-zone [association_rules_filtering](flow_zone:b0BsCoE).
- *4 : Customer recommendations* : if you want to build datasets presents in the flow-zones [recommendations_preprocessing](flow_zone:1QYvNls), [cross_sell_recommendations](flow_zone:X2Yv1zo) and [repeat_purchase_recommendations](flow_zone:cSRQcI9).


Add all parts if you want to build all the flow.

Note: No matter if you change the order of the parts to build : they will be processed in the order 1 -> 2 -> 3 -> 4.


## Build specific flow parts

By clicking on the *BUILD SPECIFIC FLOW PARTS* button, DSS will take into account all the parameters set in the application to build all the datasets present in the chosen flow parts.

