# Explanation

*Keep transactions before and until today* will filter the transactions history on a period of time having as boundaries : 
- The solution's execution time **T** as the newest date.
- A date before the solution's execution time as the oldest date, defined as "**T** - (**time_frame** x **time_unit**)", where:
  - ***time_unit***: is the time unit to substract from **T**. It can be:
      - Hours.
      - Days.
      - Weeks.
      - Months.
      - Years.
    
  - ***time_frame***: is the quantity of ***time_unit*** to substract from **T**.

This is the dates filtering strategy that has to be used if you want to activate the project automation ([Learn more about the  project automation](article:61)). 


Below is a picture illustrating the effect of applying this dates filtering strategy on a dataset:

![dates_filtering_strategy_keep_before_and_until_today.png](1ZE6Wp8xrvD9)